Ask Your Question
0

magnum cluster create openstack newton and xenial

asked 2017-01-24 09:58:22 -0500

niv gravatar image

updated 2017-01-26 08:52:14 -0500

rbowen gravatar image

hey,

i follow this guide to install openstack magnum container projects:

http://docs.openstack.org/project-ins...

when i create cluster

 magnum cluster-create --name swarm-cluster \
                        --cluster-template swarm-cluster-template \
                        --master-count 1 \
                        --node-count 1

there are missing files in /usr/lib/python2.7/dist-packages/magnum/drivers i copied it manually from github magnum.

i got a new error:

EROOR: Failed to validate : resources.network : The Resource Type (Magnum::Optional::Neutron::Net) could not be found.

i am using: operating system: Ubuntu 16.04.01 xenial openstack: openstack newton

Does magnum support xenial and openstack newton? Thanks in advance

edit retag flag offensive close merge delete

3 answers

Sort by » oldest newest most voted
0

answered 2017-02-16 03:16:06 -0500

FernaG gravatar image

Don't know why but ubuntu repos seem to be incomplete.

Had a similar problem and solved it by cloning Magnum repo at https://github.com/openstack/magnum.git then checking out to newton branch git checkout stable/newton and copying all the contents of ./magnum/magnum to /usr/lib/python2.7/dist-packages/magnum/

Hope this helps.

edit flag offensive delete link more
0

answered 2017-02-03 11:49:59 -0500

Same error here. If you have the answer, please post it.

edit flag offensive delete link more
0

answered 2017-02-13 17:12:48 -0500

binbin gravatar image

Same situation here. Can anyone post a solution for it?

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Get to know Ask OpenStack

Resources for moderators

Question Tools

3 followers

Stats

Asked: 2017-01-24 09:58:22 -0500

Seen: 261 times

Last updated: Feb 03 '17